      FUNCTION NMBYT(LUNIT)

C$$$  SUBPROGRAM DOCUMENTATION BLOCK
C
C SUBPROGRAM:    NMBYT
C   PRGMMR: WOOLLEN          ORG: NP20       DATE: 2000-09-19
C
C ABSTRACT: THIS FUNCTION CALLS BUFR ARCHIVE LIBRARY SUBROUTINE IUPVS01
C   TO GET THE LENGTH (IN BYTES) OF THE BUFR MESSAGE OPEN FOR INPUT VIA
C   THE MOST RECENT CALL TO BUFR ARCHIVE LIBRARY SUBROUTINE READMG OR
C   EQUIVALENT.  IT IS CONSIDERED OBSOLETE AND MAY BE REMOVED FROM THE
C   BUFR ARCHIVE LIBRARY IN A FUTURE VERSION.  USERS SHOULD MIGRATE TO
C   THE DIRECT USE OF IUPVS01 (AS SHOWN BELOW).
C
C PROGRAM HISTORY LOG:
C 2000-09-19  J. WOOLLEN -- ORIGINAL AUTHOR
C 2003-11-04  S. BENDER  -- ADDED REMARKS/BUFRLIB ROUTINE
C                           INTERDEPENDENCIES
C 2003-11-04  D. KEYSER  -- UNIFIED/PORTABLE FOR WRF; ADDED
C                           DOCUMENTATION (INCLUDING HISTORY); OUTPUTS
C                           MORE COMPLETE DIAGNOSTIC INFO WHEN ROUTINE
C                           TERMINATES ABNORMALLY
C 2004-08-18  J. ATOR    -- IMPROVED DOCUMENTATION; MAXIMUM MESSAGE
C                           LENGTH INCREASED FROM 20,000 TO 50,000
C                           BYTES
C 2005-11-29  J. ATOR    -- USE IUPVS01 AND MARK AS OBSOLETE
C DART $Id$
C
C USAGE:    NMBYT (LUNIT)
C   INPUT ARGUMENT LIST:
C     LUNIT    - INTEGER: FORTRAN LOGICAL UNIT NUMBER FOR BUFR FILE
C
C   OUTPUT ARGUMENT LIST:
C     NMBYT    - INTEGER: BUFR MESSAGE LENGTH (BYTES)
C
C REMARKS:
C    THIS ROUTINE CALLS:        IUPVS01
C    THIS ROUTINE IS CALLED BY: None
C                               Normally called only by application
C                               programs.
C
C ATTRIBUTES:
C   LANGUAGE: FORTRAN 77
C   MACHINE:  PORTABLE TO ALL PLATFORMS
C
C$$$

      COMMON /QUIET / IPRT

      DATA IFIRST/0/

      SAVE IFIRST

C-----------------------------------------------------------------------
C-----------------------------------------------------------------------

      IF(IFIRST.EQ.0) THEN
         IF(IPRT.GE.0) THEN
      PRINT*
      PRINT*,'+++++++++++++++++BUFR ARCHIVE LIBRARY++++++++++++++++++++'
      PRINT 101
101   FORMAT(' BUFRLIB: NMBYT - THIS FUNCTION IS NOW OBSOLETE; ',
     . 'USE FUNCTION IUPVS01 INSTEAD')
      PRINT*,'+++++++++++++++++BUFR ARCHIVE LIBRARY++++++++++++++++++++'
      PRINT*
         ENDIF
         IFIRST = 1
      ENDIF

      NMBYT = IUPVS01(LUNIT,'LENM')

      RETURN
      END
